<?php

include('config.php');
header("Content-type: application/json");

if(isset($_GET['misura']))
{

	$misura = $_GET['misura'];
	$tipo_misura = "";
	switch($misura)
	{
		case 'caratteristiche':
			$tipo_misura = 'per 100 famiglie con le stesse caratteristiche';
			break;
		case 'migliaia':
			$tipo_misura = 'valori in migliaia'; 
			break;
		default:
			echo json_encode(
			array("status" => "error",
			"dettagli" => "valore non riconosciuto"));
			exit(1);
	}
// connessione al db aperta nella 
// variabile $conn

// corpo API
$sql = "SELECT ComponentiFamiglia, Periodo, Valore 
		FROM AmpiezzaFamiglie 
		WHERE Misura = '".$tipo_misura."'";
		
$risultato = mysqli_query($conn,$sql);

$return = array();
while($riga = mysqli_fetch_assoc($risultato))
{
	$riga['Periodo'] = intval($riga['Periodo']);
	$riga['Valore'] = floatval($riga['Valore']);
	$return[] = $riga;
};

echo json_encode($return);

mysqli_close($conn);
}
else
{
	echo json_encode(
	array(	"status" => "error",
	"dettagli" => "parametro misura mancante") 
	);
}
?>